package com.lnb.multidatasourcedemo.curator;

import lombok.Data;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.Set;

/**
 * zookeeper配置文件
 * created by liaoningbo on 2021/11/24
 */
@Data
@Component
@ConfigurationProperties(prefix = "spring.common")
public class ZkProperties {
    /**zk集群地址*/
    @Value("zkServer")
    private String zkServer;
    @Value("appName")
    private Set<String> appName;
    @Value("adminDB")
    private String adminDB;
    @Value("adminUser")
    private String adminUser;
    @Value("adminPwd")
    private String adminPwd;
    /**控制链接主库还是从库，数据库中配置的都是主库的链接信息，true：链接从库，false：链接主库*/
    @Value("readOnly")
    private String readOnly;
    /**链接哪个从库，只有当readOnly为true的时候才需要赋值*/
    @Value("slot")
    private String slot;

    public boolean validateProperties() {
        if (StringUtils.isEmpty(zkServer))
            return false;
        return true;
    }
}
