package com.lnb.multidatasourcedemo.model;

import lombok.Data;

/**
 * 数据库链接信息实体.
 * Created by liaoningbo on 2021/11/24
 */
@Data
public class DatasourceModel {
    private String username;
    private String pwd;
    private String url;
    private String commonDB;
    private String urlPrefix;
    private String initialSize;
    private String maxActive;
    private String minIdle;
    private String maxWait;
    private String testOnBorrow;
    private String testOnReturn;
    private String testWhileIdle;
    private String timeBetweenEvictionRunsMillis;
    private String minEvictableIdleTimeMillis;
    private String removeAbandoned;
    private String removeAbandonedTimeout;
    private String logAbandoned;
    private String validationQuery;

    public boolean validateDatasourceModel() {
        if ("".equals(username) || null == username)
            return false;
        if ("".equals(pwd) || null == pwd)
            return false;
        if ("".equals(url) || null == url)
            return false;
        if ("".equals(commonDB) || null == commonDB)
            return false;
        if ("".equals(urlPrefix) || null == urlPrefix)
            return false;
        return true;
    }
}
