package com.lnb.multidatasourcedemo.utils;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.File;
import java.net.InetAddress;
import java.net.URL;
import java.net.UnknownHostException;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * Created by liaoningbo on 2021/11/24
 */
public class CommonUtils {

    private static final Logger LOGGER = LoggerFactory.getLogger(CommonUtils.class);

    /**
     * 获取当前日期，默认格式为"yyyy-MM-dd HH:mm:ss"
     */
    public static String getDateByDefault() {
        return getDateByFormat("yyyy-MM-dd HH:mm:ss");
    }

    /**
     * 获取当前日期，按照所传格式
     */
    public static String getDateByFormat(String format) {
        Date date = new Date();
        DateFormat df = new SimpleDateFormat(format);
        String time = df.format(date);
        return time;
    }

    public static String getLocalIP() throws UnknownHostException {
        InetAddress addr = InetAddress.getLocalHost();
        String ip = addr.getHostAddress().toString();//获得本机IP　　
        return ip;
    }

    public static String getAbsolutePath() {
        URL url = CommonUtils.class.getProtectionDomain().getCodeSource().getLocation();
        String filePath = null;
        try {
            filePath = java.net.URLDecoder.decode(url.getPath(), "utf-8");
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (filePath.endsWith(".jar"))
            filePath = filePath.substring(0, filePath.lastIndexOf("/") + 1);
        File file = new File(filePath);
        filePath = file.getAbsolutePath();
        return filePath;
    }


    public static String filterString(String str) {
        return str.replaceAll("//", "/");
    }

}
